none
What are the Supported BizTalk / Oracle DB / Oracle Client Versions? RRS feed

  • Question

  • I am trying to find a consolidated list of supported versions for BizTalk, Oracle DB, and Oracle Client. I am specifically interested in BizTalk 2016 and 2020 but have included 2010 & 2013 R2.

    Here is what I have but there are some gaps. Feedback appreciated!

    It appears that no adapters support Oracle version 12.2 which seems odd. I was expecting 2020 to support it but 12.2 does not appear in the list of supported databases.

    Update (5 Feb 2020): Okay, I have learnt that 18C & 19C are considered 12.2. I have removed 12.2 from the tables. I'm happy with the list now.

    References

    Technet: Supported LOB Systems
    Microsoft Docs: BizTalk 2020 Supported LOB Systems
    Oracle Fact: Client / Server Interoperability Support Matrix for Different Oracle Versions (Doc ID 207303.1)
    MSDN Forums: Does any version of BizTalk support Oracle 12.2?

    BizTalk 2010

    Oracle Database

    • Oracle database 9.2
    • Oracle database 10.1
    • Oracle database 10.2
    • Oracle database 11.1
    • Oracle database 11.2 (< 11.2.0.4)

    Oracle Client

    • Oracle Database 11.1.0.6 Client (with patch set 11.1.0.7)
    • Oracle Database 11.1.0.7 Client
    • Oracle Database 11.2.0.1 Client (with BAP 2010 CU2)
    • Oracle Database 12.1 Client

    # 11.2.0.4 and newer versions are not supported with BizTalk 2010 / BAP 2010
    * With BAP 2010 CU2
    $ With Patch Set 11.1.0.7

    BizTalk 2013 R2

    Oracle Database

    • Oracle database 11.1
    • Oracle database 11.2

    Oracle Client

    • Oracle Database 11.2.0.1 Client
    • Oracle Database 12.1 Client

    BizTalk 2016

    Oracle Database

    • Oracle database 11.1
    • Oracle database 11.2
    • Oracle database 12.1

    Oracle Client

    • Oracle Database 11.2.0.1 Client
    • Oracle Database 12.1 Client

    BizTalk 2020

    Oracle Database

    • Oracle database 12.1
    • Oracle database 18c (18.3)
    • Oracle database 19c (19.3)

    Oracle Client

    • Oracle Database 12.1 Client
    • Oracle Database 18c Client (18.3)
    • Oracle Database 19c Client (19.3)



    • Edited by Simon Clendon Wednesday, February 5, 2020 2:46 AM Removed 12.2 from tables
    Tuesday, January 21, 2020 9:41 PM

Answers

  • Okay, a reply on the other MSDN thread I linked to above has clarified Oracle versioning somewhat: "The Oracle product names are a bit confusing as these are all considered to be "12.2" releases. 19C is the terminal release of 12.2, which means it has the longest support lifespan - March 2026.

    • 12C R2 = 12.2.0.1
    • 18C = 12.2.0.2
    • 19C = 12.2.0.3

    It seems that BizTalk 2020 does support 12.2 although I'm still not sure about 12.2.0.1 (12C R2 above). I might just be a bit confused on that point.

    Edited to add a further response from the other thread:

    "Yeah [BizTalk] does [support 12.2.0.1], however Oracle extended support for 12.2.0.1 ends in Nov 2020 so you'd be better going to 12.2.0.3 anyway"

    • Edited by Simon Clendon Wednesday, February 5, 2020 1:31 AM Add extra response + format with bullets
    • Marked as answer by Simon Clendon Wednesday, February 5, 2020 2:46 AM
    Friday, January 24, 2020 9:44 PM

All replies

  • Looks like you have already created that consolidated list in this thread.

    Maybe support for 2.2 will come out in a CU or FP

     
    Wednesday, January 22, 2020 8:13 AM
  • Thanks, Colin. I suppose you're right! :-) 12.2 seems to be the only gap. I found it easy to confuse client and database versions with BizTalk 2010 because there were so many provisos. The 2020 documentation is much clearer, plus 2020 has the LOB adapters "built in".
    Thursday, January 23, 2020 6:48 PM
  • Okay, a reply on the other MSDN thread I linked to above has clarified Oracle versioning somewhat: "The Oracle product names are a bit confusing as these are all considered to be "12.2" releases. 19C is the terminal release of 12.2, which means it has the longest support lifespan - March 2026.

    • 12C R2 = 12.2.0.1
    • 18C = 12.2.0.2
    • 19C = 12.2.0.3

    It seems that BizTalk 2020 does support 12.2 although I'm still not sure about 12.2.0.1 (12C R2 above). I might just be a bit confused on that point.

    Edited to add a further response from the other thread:

    "Yeah [BizTalk] does [support 12.2.0.1], however Oracle extended support for 12.2.0.1 ends in Nov 2020 so you'd be better going to 12.2.0.3 anyway"

    • Edited by Simon Clendon Wednesday, February 5, 2020 1:31 AM Add extra response + format with bullets
    • Marked as answer by Simon Clendon Wednesday, February 5, 2020 2:46 AM
    Friday, January 24, 2020 9:44 PM